jlec 15/07/29 06:33:55
Modified: flask-admin-1.0.6.ebuild flask-admin-1.1.0.ebuild
flask-admin-1.2.0.ebuild ChangeLog
Log:
Don't isntall examples into sitedir, bug #555038
(Portage version: 2.2.20/cvs/Linux x86_64, signed Manifest commit with key
E9402A79B03529A2!)
Revision Changes Path
1.5 dev-python/flask-admin/flask-admin-1.0.6.ebuild
file :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/flask-admin/flask-admin-1.0.6.ebuild?rev=1.5&view=markup
plain:
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/flask-admin/flask-admin-1.0.6.ebuild?rev=1.5&content-type=text/plain
diff :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/flask-admin/flask-admin-1.0.6.ebuild?r1=1.4&r2=1.5
Index: flask-admin-1.0.6.ebuild
===================================================================
RCS file:
/var/cvsroot/gentoo-x86/dev-python/flask-admin/flask-admin-1.0.6.ebuild,v
retrieving revision 1.4
retrieving revision 1.5
diff -u -r1.4 -r1.5
--- flask-admin-1.0.6.ebuild 8 Mar 2015 23:47:31 -0000 1.4
+++ flask-admin-1.0.6.ebuild 29 Jul 2015 06:33:55 -0000 1.5
@@ -1,6 +1,6 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header:
/var/cvsroot/gentoo-x86/dev-python/flask-admin/flask-admin-1.0.6.ebuild,v 1.4
2015/03/08 23:47:31 pacho Exp $
+# $Header:
/var/cvsroot/gentoo-x86/dev-python/flask-admin/flask-admin-1.0.6.ebuild,v 1.5
2015/07/29 06:33:55 jlec Exp $
EAPI=5
PYTHON_COMPAT=( python2_7 )
@@ -31,11 +31,17 @@
dev-python/flask-peewee[${PYTHON_USEDEP}]
dev-python/flask-mongoengine[${PYTHON_USEDEP}]
dev-python/flask-sqlalchemy[${PYTHON_USEDEP}]
- )
- "
+ )"
S="${WORKDIR}/${MY_P}"
+python_prepare_all() {
+ sed \
+ -e 's:find_packages():find_packages(exclude=["*.examples",
"*.examples.*", "examples.*", "examples"]):g' \
+ -i setup.py || die
+ distutils-r1_python_prepare_all
+}
+
python_test() {
nosetests || die "Testing failed with ${EPYTHON}"
}
1.2 dev-python/flask-admin/flask-admin-1.1.0.ebuild
file :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/flask-admin/flask-admin-1.1.0.ebuild?rev=1.2&view=markup
plain:
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/flask-admin/flask-admin-1.1.0.ebuild?rev=1.2&content-type=text/plain
diff :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/flask-admin/flask-admin-1.1.0.ebuild?r1=1.1&r2=1.2
Index: flask-admin-1.1.0.ebuild
===================================================================
RCS file:
/var/cvsroot/gentoo-x86/dev-python/flask-admin/flask-admin-1.1.0.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- flask-admin-1.1.0.ebuild 14 Jun 2015 15:41:52 -0000 1.1
+++ flask-admin-1.1.0.ebuild 29 Jul 2015 06:33:55 -0000 1.2
@@ -1,6 +1,6 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header:
/var/cvsroot/gentoo-x86/dev-python/flask-admin/flask-admin-1.1.0.ebuild,v 1.1
2015/06/14 15:41:52 idella4 Exp $
+# $Header:
/var/cvsroot/gentoo-x86/dev-python/flask-admin/flask-admin-1.1.0.ebuild,v 1.2
2015/07/29 06:33:55 jlec Exp $
EAPI=5
PYTHON_COMPAT=( python2_7 )
@@ -21,8 +21,9 @@
KEYWORDS="~amd64 ~x86"
IUSE="examples test"
-RDEPEND=">=dev-python/flask-0.7[${PYTHON_USEDEP}]
- dev-python/wtforms[${PYTHON_USEDEP}]"
+RDEPEND="
+ >=dev-python/flask-0.7[${PYTHON_USEDEP}]
+ dev-python/wtforms[${PYTHON_USEDEP}]"
DEPEND="${RDEPEND}
dev-python/setuptools[${PYTHON_USEDEP}]
test? (
@@ -36,6 +37,13 @@
S="${WORKDIR}/${MY_P}"
+python_prepare_all() {
+ sed \
+ -e 's:find_packages():find_packages(exclude=["*.examples",
"*.examples.*", "examples.*", "examples"]):g' \
+ -i setup.py || die
+ distutils-r1_python_prepare_all
+}
+
python_test() {
nosetests || die "Testing failed with ${EPYTHON}"
}
1.2 dev-python/flask-admin/flask-admin-1.2.0.ebuild
file :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/flask-admin/flask-admin-1.2.0.ebuild?rev=1.2&view=markup
plain:
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/flask-admin/flask-admin-1.2.0.ebuild?rev=1.2&content-type=text/plain
diff :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/flask-admin/flask-admin-1.2.0.ebuild?r1=1.1&r2=1.2
Index: flask-admin-1.2.0.ebuild
===================================================================
RCS file:
/var/cvsroot/gentoo-x86/dev-python/flask-admin/flask-admin-1.2.0.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- flask-admin-1.2.0.ebuild 17 Jun 2015 08:40:36 -0000 1.1
+++ flask-admin-1.2.0.ebuild 29 Jul 2015 06:33:55 -0000 1.2
@@ -1,6 +1,6 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header:
/var/cvsroot/gentoo-x86/dev-python/flask-admin/flask-admin-1.2.0.ebuild,v 1.1
2015/06/17 08:40:36 patrick Exp $
+# $Header:
/var/cvsroot/gentoo-x86/dev-python/flask-admin/flask-admin-1.2.0.ebuild,v 1.2
2015/07/29 06:33:55 jlec Exp $
EAPI=5
PYTHON_COMPAT=( python2_7 )
@@ -21,8 +21,9 @@
KEYWORDS="~amd64 ~x86"
IUSE="examples test"
-RDEPEND=">=dev-python/flask-0.7[${PYTHON_USEDEP}]
- dev-python/wtforms[${PYTHON_USEDEP}]"
+RDEPEND="
+ >=dev-python/flask-0.7[${PYTHON_USEDEP}]
+ dev-python/wtforms[${PYTHON_USEDEP}]"
DEPEND="${RDEPEND}
dev-python/setuptools[${PYTHON_USEDEP}]
test? (
@@ -37,6 +38,13 @@
S="${WORKDIR}/${MY_P}"
+python_prepare_all() {
+ sed \
+ -e 's:find_packages():find_packages(exclude=["*.examples",
"*.examples.*", "examples.*", "examples"]):g' \
+ -i setup.py || die
+ distutils-r1_python_prepare_all
+}
+
python_test() {
nosetests || die "Testing failed with ${EPYTHON}"
}
1.8 dev-python/flask-admin/ChangeLog
file :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/flask-admin/ChangeLog?rev=1.8&view=markup
plain:
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/flask-admin/ChangeLog?rev=1.8&content-type=text/plain
diff :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/flask-admin/ChangeLog?r1=1.7&r2=1.8
Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-python/flask-admin/ChangeLog,v
retrieving revision 1.7
retrieving revision 1.8
diff -u -r1.7 -r1.8
--- ChangeLog 17 Jun 2015 08:40:36 -0000 1.7
+++ ChangeLog 29 Jul 2015 06:33:55 -0000 1.8
@@ -1,6 +1,10 @@
# ChangeLog for dev-python/flask-admin
# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-python/flask-admin/ChangeLog,v 1.7
2015/06/17 08:40:36 patrick Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-python/flask-admin/ChangeLog,v 1.8
2015/07/29 06:33:55 jlec Exp $
+
+ 29 Jul 2015; Justin Lecher <[email protected]> flask-admin-1.0.6.ebuild,
+ flask-admin-1.1.0.ebuild, flask-admin-1.2.0.ebuild:
+ Don't isntall examples into sitedir, bug #555038
*flask-admin-1.2.0 (17 Jun 2015)